Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.openssh
Class PEMReader

    java.lang.Object
      com.sshtools.j2ssh.openssh.PEM
          com.sshtools.j2ssh.openssh.PEMReader

public class PEMReader
extends PEM

DOCUMENT ME!

Field Summary

Fields inherited from class com.sshtools.j2ssh.openssh.PEM
`DSA_PRIVATE_KEY, HEX_CHARS, MAX_LINE_LENGTH, PEM_BEGIN, PEM_BOUNDARY, PEM_END, RSA_PRIVATE_KEY`

Constructor Summary
`PEMReader(java.io.Reader r)` Creates a new PEMReader object.

Method Summary
`byte[]` | `decryptPayload(java.lang.String passphrase)` DOCUMENT ME!
`java.util.Map` | `getHeader()` DOCUMENT ME!
`byte[]` | `getPayload()` DOCUMENT ME!
`java.lang.String` | `getType()` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.openssh.PEM
`getKeyFromPassphrase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PEMReader

    public PEMReader(java.io.Reader r)
              throws java.io.IOException

  Creates a new PEMReader object.

Parameters:
  `r` - DOCUMENT ME!
Throws:
  `java.io.IOException` - DOCUMENT ME!

Method Detail

### getHeader

    public java.util.Map getHeader()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPayload

    public byte[] getPayload()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getType

    public java.lang.String getType()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### decryptPayload

    public byte[] decryptPayload(java.lang.String passphrase)
                          throws java.security.GeneralSecurityException

  DOCUMENT ME!

  Parameters:
    `passphrase` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.security.GeneralSecurityException` - DOCUMENT ME!
    `java.security.NoSuchAlgorithmException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD